<ion-header [translucent]="true">
    <ion-toolbar>
        <ion-title>
            Forecast
        </ion-title>
    </ion-toolbar>
</ion-header>

<ion-content [fullscreen]="true">
    <ion-card>
        <ion-card-content>
            <img id="logo" src="https://icon-library.com/images/weather-icon-gif/weather-icon-gif-15.jpg" alt="">
            <p class="p">Batangas City, PH</p>
            <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
                <ion-refresher-content></ion-refresher-content>
            </ion-refresher>
        
            <div *ngIf="!isLoading  && error == null">
                <ion-list>
                    <ion-item *ngFor="let item of data">
                        <ion-thumbnail slot="start">
                            <img src="{{item.image}}" alt="{{item.weather_description}}">
                        </ion-thumbnail>
                        
                        <ion-label>
                            <p><b>{{item.date}}</b></p>
                            <p><b>{{item.weather_main}}</b></p>
                            <p><b>Low: {{item.temp_min}} °F</b></p>
                            <p><b>High: {{item.temp_max}} °F</b></p>
                        </ion-label>
                    </ion-item>
                </ion-list>
                
            </div>
        
            <div *ngIf="isLoading && error == null">
                <ion-list>
                    <ion-item *ngFor="let index of skeletonIndexs">
                        <ion-avatar slot="start">
                            <ion-skeleton-text animated></ion-skeleton-text>
                        </ion-avatar>
                        <ion-label>
                            <p>
                                <ion-skeleton-text animated style="width: 70%"></ion-skeleton-text>
                            </p>
                            <p>
                                <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
                            </p>
                            <p>
                                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                            </p>
                            <p>
                                <ion-skeleton-text animated style="width: 60%"></ion-skeleton-text>
                            </p>
                        </ion-label>
                    </ion-item>
                </ion-list>
            </div>
        
            <div *ngIf="!isLoading && error != null" class="center">
                <ion-label style="margin: 30%">
                    <h3>
                        {{error}}
                    </h3>
                </ion-label>
            </div>
        </ion-card-content>
    </ion-card>
</ion-content>